#pragma once
#include "EntityState.h"
extern const int& CS_KingSTATENAME_RESIST;
class CS_KingResist :
    public EntityState
{
public:
    CS_KingResist();
    void State() override;
    void SetPhysice(bool bInWater) override;
    //物理信息
   //地面
    float ground_resist_default = 0x33 / ts;//地面阻力
    //水中
    float inwater_resist_default = 0x19 / ts;//水中阻力
    //使用中的物理信息
    float resist_default;//当前默认阻力
    float resist;//当前阻力
    bool apply_resistH = true;//启用水平阻力
    //bool apply_resistV = true;//启用垂直阻力
};

